configure: Force-enable select_any dependencies only on --enable